dahdi-linux 1:2.11.1~dfsg-1ubuntu4 ADT test failure with linux 5.0.0-1.2

Bug #1813058 reported by Seth Forshee on 2019-01-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
dahdi-linux (Ubuntu)
Undecided
Unassigned
Nominated for Disco by Marcelo Cerri

Bug Description

[Impact]

Currently the DKMS package fails to install on supported custom
kernels that are based on 5.0.

[Test Case]

Install the dahdi-dkms package with the 5.0 unstable kernel. The
package installation should proceed without any errors.

[Regression Potential]

Although new patches were added, the regression risk is very low since
the new changes are conditionally compiled based on the kernel
version.

Besides that, the new package was tested with the following kernels in
an amd64 environment:

- linux-generic 5.0
- linux-generic 4.19

[Original Description]

Testing failed on:
    amd64: https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-disco-canonical-kernel-team-unstable/disco/amd64/d/dahdi-linux/20190123_162957_2d0d8@/log.gz
    i386: https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-disco-canonical-kernel-team-unstable/disco/i386/d/dahdi-linux/20190123_163457_2d0d8@/log.gz

Seth Forshee (sforshee) on 2019-01-23
tags: added: kernel-adt-failure
Marcelo Cerri (mhcerri) on 2019-02-07
description: updated
Marcelo Cerri (mhcerri) wrote :

Debdiff attached.

tags: added: patch
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dahdi-linux - 1:2.11.1~dfsg-1ubuntu5

---------------
dahdi-linux (1:2.11.1~dfsg-1ubuntu5) disco; urgency=medium

  * Linux 5.0 compatibility (LP: #1813058)
    - d/p/kernel-compat-5.0.patch

 -- Marcelo Henrique Cerri <email address hidden> Thu, 07 Feb 2019 10:15:57 -0200

Changed in dahdi-linux (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers